## xenopsd 0.9.44

=== Makefile ===
.PHONY: all clean install build reinstall uninstall distclean
all: build

NAME=xenops
J=4

clean:
	@rm -f setup.data setup.log setup.bin config.mk lib/version.ml
	@rm -rf _build
	@rm -f xenopsd-xc xenopsd-xenlight xenopsd-simulator xenopsd-libvirt
	@rm -f xenopsd-xc.1 xenopsd-xenlight.1 xenopsd-simulator.1 xenopsd-libvirt.1
	@rm -f *.native

-include config.mk

config.mk:
	echo Please re-run configure
	exit 1

setup.bin: setup.ml
	@ocamlopt.opt -o $@ $< || ocamlopt -o $@ $< || ocamlc -o $@ $<
	@rm -f setup.cmx setup.cmi setup.o setup.cmo

setup.data: setup.bin
	@./setup.bin -configure $(ENABLE_XEN) $(ENABLE_XENLIGHT) $(ENABLE_LIBVIRT) $(ENABLE_XENGUESTBIN)

build: setup.data setup.bin version.ml
	@./setup.bin -build -j $(J)
ifeq ($(ENABLE_XENLIGHT),--enable-xenlight)
	ln -s ./xenops_xl_main.native xenopsd-xenlight || true
	./xenopsd-xenlight --help=groff > xenopsd-xenlight.1
endif
ifeq ($(ENABLE_LIBVIRT),--enable-libvirt)
	ln -s ./xenops_libvirt_main.native xenopsd-libvirt || true
	./xenopsd-libvirt --help=groff > xenopsd-libvirt.1
endif
	ln -s ./xenops_simulator_main.native xenopsd-simulator || true
	./xenopsd-simulator --help=groff > xenopsd-simulator.1
	ln -s ./xenops_xc_main.native xenopsd-xc || true
	./xenopsd-xc --help=groff > xenopsd-xc.1

version.ml: VERSION
	echo "let version = \"$(shell cat VERSION)\"" > lib/version.ml

install:
ifeq ($(ENABLE_XENLIGHT),--enable-xenlight)
	install -D ./xenops_xl_main.native $(DESTDIR)/$(SBINDIR)/xenopsd-xenlight
	install -D ./xenopsd-xenlight.1 $(DESTDIR)/$(MANDIR)/man1/xenopsd-xenlight.1
endif
ifeq ($(ENABLE_LIBVIRT),--enable-libvirt)
	install -D ./xenops_libvirt_main.native $(DESTDIR)/$(SBINDIR)/xenopsd-libvirt
	install -D ./xenopsd-libvirt.1 $(DESTDIR)/$(MANDIR)/man1/xenopsd-libvirt.1
endif
	install -D ./xenops_simulator_main.native $(DESTDIR)/$(SBINDIR)/xenopsd-simulator
	install -D ./xenopsd-simulator.1 $(DESTDIR)/$(MANDIR)/man1/xenopsd-simulator.1
	install -D ./xenops_xc_main.native $(DESTDIR)/$(SBINDIR)/xenopsd-xc
	install -D ./xenopsd-xc.1 $(DESTDIR)/$(MANDIR)/man1/xenopsd-xc.1
	install -D ./scripts/vif $(DESTDIR)/$(SCRIPTSDIR)/vif
	install -D ./scripts/block $(DESTDIR)/$(SCRIPTSDIR)/block
	install -D ./scripts/qemu-dm-wrapper $(DESTDIR)/$(LIBEXECDIR)/qemu-dm-wrapper
	install -D ./scripts/qemu-vif-script $(DESTDIR)/$(LIBEXECDIR)/qemu-vif-script
	install -D ./scripts/setup-vif-rules $(DESTDIR)/$(LIBEXECDIR)/setup-vif-rules
	install -D ./scripts/common.py $(DESTDIR)/$(LIBEXECDIR)/common.py
	install -D ./scripts/network.conf $(DESTDIR)/$(ETCDIR)/xcp/network.conf
	DESTDIR=$(DESTDIR) SBINDIR=$(SBINDIR) LIBEXECDIR=$(LIBEXECDIR) SCRIPTSDIR=$(SCRIPTSDIR) ETCDIR=$(ETCDIR) ./scripts/make-custom-xenopsd.conf

reinstall: install
	@ocamlfind remove $(NAME) || true

uninstall:
	@ocamlfind remove $(NAME) || true
	rm -f $(DESTDIR)/$(SBINDIR)/xenopsd-libvirt
	rm -f $(DESTDIR)/$(SBINDIR)/xenopsd-xenlight
	rm -f $(DESTDIR)/$(SBINDIR)/xenopsd-xc
	rm -f $(DESTDIR)/$(SBINDIR)/xenopsd-simulator
	rm -f $(DESTDIR)/$(MANDIR)/man1/xenopsd-libvirt.1
	rm -f $(DESTDIR)/$(MANDIR)/man1/xenopsd-xenlight.1
	rm -f $(DESTDIR)/$(MANDIR)/man1/xenopsd-xc.1
	rm -f $(DESTDIR)/$(MANDIR)/man1/xenopsd-simluator.1
	rm -f $(DESTDIR)/$(ETCDIR)/xenopsd.conf
	rm -f $(DESTDIR)/$(SCRIPTSDIR)/vif
	rm -f $(DESTDIR)/$(SCRIPTSDIR)/block
	rm -f $(DESTDIR)/$(LIBEXECDIR)/qemu-dm-wrapper
	rm -f $(DESTDIR)/$(LIBEXECDIR)/setup-vif-rules
	rm -f $(DESTDIR)/$(ETCDIR)/xcp/network.conf

=== debian/changelog ===
xenopsd (0.9.44-1) UNRELEASED; urgency=low

  * Update to 0.9.44

 -- David Scott <dave.scott@citrix.com>  Mon, 22 Sep 2014 12:00:00 +0000

xenopsd (0.9.43-4) UNRELEASED; urgency=low

  * Add a search-path to the xenopsd.conf

 -- David Scott <dave.scott@citrix.com>  Mon, 08 Sep 2014 12:00:00 +0000

xenopsd (0.9.43-3) UNRELEASED; urgency=low

  * Remove xen-missing-headers dependency

 -- Jon Ludlam <jonathan.ludlam@citrix.com>  Thu, 04 Sep 2014 12:00:00 +0000

xenopsd (0.9.43-2) UNRELEASED; urgency=low

  * Reinstate xenlight package in CentOS

 -- Jon Ludlam <jonathan.ludlam@citrix.com>  Thu, 04 Sep 2014 12:00:00 +0000

xenopsd (0.9.43-1) UNRELEASED; urgency=low

  * Update to 0.9.43 which supports OCaml 4.01.0

 -- David Scott <dave.scott@citrix.com>  Sun, 24 Aug 2014 12:00:00 +0000

xenopsd (0.9.41-1) UNRELEASED; urgency=low

  * Update to 0.9.41: now pygrub, eliloader, hvmloader and vncterm
    are optional

 -- David Scott <dave.scott@citrix.com>  Fri, 22 Aug 2014 12:00:00 +0000

xenopsd (0.9.39-5) UNRELEASED; urgency=low

  * vncterm-wrapper: ensure the groups are added on startup.

 -- David Scott <dave.scott@citrix.com>  Fri, 22 Aug 2014 12:00:00 +0000

xenopsd (0.9.39-4) UNRELEASED; urgency=low

  * Add a vncterm-wrapper: needed to locate the qemu keymaps

 -- David Scott <dave.scott@citrix.com>  Fri, 22 Aug 2014 12:00:00 +0000

xenopsd (0.9.39-2) UNRELEASED; urgency=low

  * Include {vbd,vif}-xl in the package

 -- David Scott <dave.scott@citrix.com>  Thu, 21 Aug 2014 12:00:00 +0000

xenopsd (0.9.39-1) UNRELEASED; urgency=low

  * Update to 0.9.39 which compiles without warnings

 -- Jon Ludlam <jonathan.ludlam@citrix.com>  Wed, 20 Aug 2014 12:00:00 +0000

xenopsd (0.9.38-1) UNRELEASED; urgency=low

  * Update to 0.9.38 with better libxl support

 -- David Scott <dave.scott@citrix.com>  Tue, 19 Aug 2014 12:00:00 +0000

xenopsd (0.9.37-1) UNRELEASED; urgency=low

  * Depend on the ocaml-xen-lowlevel-libs-runtime package
  * Don't include xenguest: this now comes from ocaml-xen-lowlevel-libs

 -- David Scott <dave.scott@citrix.com>  Sat, 21 Jun 2014 12:00:00 +0000

xenopsd (0.9.34-1) UNRELEASED; urgency=low

  * Update to 0.9.34, restoring fixes from the 0.9.32 line which were 
    not merged to trunk before 0.9.33 was tagged

 -- Euan Harris <euan.harris@eu.citrix.com>  Fri, 17 Jan 2014 12:00:00 +0000

xenopsd (0.9.33-1) UNRELEASED; urgency=low

  * Update to 0.9.33, with fixes for suspending and resuming HVM guests

 -- Euan Harris <euan.harris@eu.citrix.com>  Wed, 04 Dec 2013 12:00:00 +0000

xenopsd (0.9.32-1) UNRELEASED; urgency=low

  * Update to 0.9.32, with udev fix (no more "task was asynchronously cancelled")

 -- David Scott <dave.scott@eu.citrix.com>  Mon, 28 Oct 2013 12:00:00 +0000

=== debian/control ===
Source: xenopsd
Priority: optional
Maintainer: Euan Harris <euan.harris@citrix.com>
Section: ocaml
Standards-Version: 3.9.3
Build-Depends:
 libcohttp-ocaml-dev,
 libcmdliner-ocaml-dev,
 libuuidm-ocaml-dev,
 blktap-utils,
 libxenstore-ocaml-dev,
 ocaml-native-compilers,
 libvirt-ocaml-dev,
 libvirt-bin,
 libsexplib-camlp4-dev,
 ocaml-nox,
 libvirt-dev,
 blktap-dev,
 ocaml-findlib,
 libqmp-ocaml-dev,
 libxcp-inventory-ocaml-dev,
 libxcp-rrd-ocaml-dev,
 liboclock-ocaml-dev,
 libxcp-idl-ocaml-dev,
 forkexecd-dev,
 dh-ocaml (>= 0.9),
 qemu-system-x86,
 ocaml-xen-lowlevel-libs-dev,
 uutf-ocaml-dev,
 libfindlib-ocaml-dev,
 python,
 debhelper (>= 8),
 libxenstore-clients-ocaml-dev,
 librpc-ocaml-dev,
 libxen-dev

Package: xenopsd
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends},
 message-switch,
 lsb-base,
 xenops-cli,
 vncterm,
 linux-guest-loader,
 ocaml-xen-lowlevel-libs-runtime
Provides: ${ocaml:Provides}
Recommends: ocaml-findlib
Description: Simple VM manager
 Simple VM manager for the xapi toolstack.

Package: xenopsd-libvirt
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends},
 xenopsd (>= 0.9.44-1),
 libvirt0,
 libvirt-bin
Provides: ${ocaml:Provides}
Recommends: ocaml-findlib
Description: Xenopsd using libvirt
 Simple VM manager for Xen and KVM using libvirt.

Package: xenopsd-xc
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends},
 xenopsd (>= 0.9.44-1),
 forkexecd,
 vncterm,
 libxen-4.4
Provides: ${ocaml:Provides}
Recommends: ocaml-findlib
Description: Xenopsd using xc
 Simple VM manager for Xen using libxc.

Package: xenopsd-simulator
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends},
 xenopsd (>= 0.9.44-1)
Provides: ${ocaml:Provides}
Recommends: ocaml-findlib
Description: Xenopsd simulator
 A synthetic VM manager for testing.

Package: xenopsd-xenlight
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends},
 xenopsd (>= 0.9.44-1)
Provides: ${ocaml:Provides}
Recommends: ocaml-findlib
Description: Xenopsd using libxenlight
 Simple VM manager for Xen using libxenlight

## xenopsd 0.9.46

=== Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 J=4
 
 clean:
-	@rm -f setup.data setup.log setup.bin config.mk lib/version.ml
+	@rm -f setup.data setup.log setup.bin lib/version.ml
 	@rm -rf _build
 	@rm -f xenopsd-xc xenopsd-xenlight xenopsd-simulator xenopsd-libvirt
 	@rm -f xenopsd-xc.1 xenopsd-xenlight.1 xenopsd-simulator.1 xenopsd-libvirt.1
@@ -55,14 +55,16 @@
 	install -D ./xenopsd-simulator.1 $(DESTDIR)/$(MANDIR)/man1/xenopsd-simulator.1
 	install -D ./xenops_xc_main.native $(DESTDIR)/$(SBINDIR)/xenopsd-xc
 	install -D ./xenopsd-xc.1 $(DESTDIR)/$(MANDIR)/man1/xenopsd-xc.1
-	install -D ./scripts/vif $(DESTDIR)/$(SCRIPTSDIR)/vif
-	install -D ./scripts/block $(DESTDIR)/$(SCRIPTSDIR)/block
+	install -D ./scripts/vif $(DESTDIR)/$(LIBEXECDIR)/vif
+	install -D ./scripts/vif-real $(DESTDIR)/$(LIBEXECDIR)/vif-real
+	install -D ./scripts/block $(DESTDIR)/$(LIBEXECDIR)/block
+	install -D ./scripts/xen-backend.rules $(DESTDIR)/etc/udev/rules.d/xen-backend.rules
+	install -D ./scripts/tap $(DESTDIR)/$(LIBEXECDIR)/tap
 	install -D ./scripts/qemu-dm-wrapper $(DESTDIR)/$(LIBEXECDIR)/qemu-dm-wrapper
 	install -D ./scripts/qemu-vif-script $(DESTDIR)/$(LIBEXECDIR)/qemu-vif-script
 	install -D ./scripts/setup-vif-rules $(DESTDIR)/$(LIBEXECDIR)/setup-vif-rules
 	install -D ./scripts/common.py $(DESTDIR)/$(LIBEXECDIR)/common.py
-	install -D ./scripts/network.conf $(DESTDIR)/$(ETCDIR)/xcp/network.conf
-	DESTDIR=$(DESTDIR) SBINDIR=$(SBINDIR) LIBEXECDIR=$(LIBEXECDIR) SCRIPTSDIR=$(SCRIPTSDIR) ETCDIR=$(ETCDIR) ./scripts/make-custom-xenopsd.conf
+	DESTDIR=$(DESTDIR) SBINDIR=$(SBINDIR) LIBEXECDIR=$(LIBEXECDIR) ETCDIR=$(ETCDIR) ./scripts/make-custom-xenopsd.conf
 
 reinstall: install
 	@ocamlfind remove $(NAME) || true
@@ -78,9 +80,13 @@
 	rm -f $(DESTDIR)/$(MANDIR)/man1/xenopsd-xc.1
 	rm -f $(DESTDIR)/$(MANDIR)/man1/xenopsd-simluator.1
 	rm -f $(DESTDIR)/$(ETCDIR)/xenopsd.conf
-	rm -f $(DESTDIR)/$(SCRIPTSDIR)/vif
-	rm -f $(DESTDIR)/$(SCRIPTSDIR)/block
+	rm -f $(DESTDIR)/$(LIBEXECDIR)/vif
+	rm -f $(DESTDIR)/$(LIBEXECDIR)/vif-real
+	rm -f $(DESTDIR)/$(LIBEXECDIR)/block
+	rm -f $(DESTDIR)/etc/udev/rules.d/xen-backend.rules
+	rm -f $(DESTDIR)/$(LIBEXECDIR)/tap
 	rm -f $(DESTDIR)/$(LIBEXECDIR)/qemu-dm-wrapper
+	rm -f $(DESTDIR)/$(LIBEXECDIR)/qemu-vif-script
 	rm -f $(DESTDIR)/$(LIBEXECDIR)/setup-vif-rules
-	rm -f $(DESTDIR)/$(ETCDIR)/xcp/network.conf
+	rm -f $(DESTDIR)/$(LIBEXECDIR)/common.py*

=== debian/changelog ===
xenopsd (0.9.46-3) UNRELEASED; urgency=low

  * Backport libxl blkback fix

 -- David Scott <dave.scott@citrix.com>  Thu, 05 Feb 2015 12:00:00 +0000

xenopsd (0.9.46-2) UNRELEASED; urgency=low

  * Attempt to backport libxl workaround

 -- David Scott <dave.scott@citrix.com>  Wed, 28 Jan 2015 12:00:00 +0000

xenopsd (0.9.46-1) UNRELEASED; urgency=low

  * Update to 0.9.46

 -- David Scott <dave.scott@citrix.com>  Wed, 21 Jan 2015 12:00:00 +0000

xenopsd (0.9.45-2) UNRELEASED; urgency=low

  * Add patch to fix the upstream qemu 4MiB videoram issue
  * Add patch to fix the device id upgrade issue

 -- David Scott <dave.scott@citrix.com>  Sun, 19 Oct 2014 12:00:00 +0000

xenopsd (0.9.45-1) UNRELEASED; urgency=low

  * Update to 0.9.45

 -- David Scott <dave.scott@citrix.com>  Tue, 14 Oct 2014 12:00:00 +0000

=== debian/control ===
--- 
+++ 
@@ -12,6 +12,7 @@
  ocaml-native-compilers,
  libvirt-ocaml-dev,
  libvirt-bin,
+ ocaml-backtrace-dev,
  libsexplib-camlp4-dev,
  ocaml-nox,
  libvirt-dev,
@@ -57,7 +58,7 @@
  ${ocaml:Depends},
  ${shlibs:Depends},
  ${misc:Depends},
- xenopsd (>= 0.9.44-1),
+ xenopsd (>= 0.9.46-3),
  libvirt0,
  libvirt-bin
 Provides: ${ocaml:Provides}
@@ -71,7 +72,7 @@
  ${ocaml:Depends},
  ${shlibs:Depends},
  ${misc:Depends},
- xenopsd (>= 0.9.44-1),
+ xenopsd (>= 0.9.46-3),
  forkexecd,
  vncterm,
  libxen-4.4
@@ -86,7 +87,7 @@
  ${ocaml:Depends},
  ${shlibs:Depends},
  ${misc:Depends},
- xenopsd (>= 0.9.44-1)
+ xenopsd (>= 0.9.46-3)
 Provides: ${ocaml:Provides}
 Recommends: ocaml-findlib
 Description: Xenopsd simulator
@@ -98,7 +99,7 @@
  ${ocaml:Depends},
  ${shlibs:Depends},
  ${misc:Depends},
- xenopsd (>= 0.9.44-1)
+ xenopsd (>= 0.9.46-3)
 Provides: ${ocaml:Provides}
 Recommends: ocaml-findlib
 Description: Xenopsd using libxenlight
